A Node holds one IConnection per service.

### Hierarchy

- Node

## Index

### Constructors

- constructor

### Properties

- address
- services

### Methods

- getService
- setTimeout

## Constructors

### constructor

- new Node(address: string): Node

- - Defined in src/network/nodes.ts:192

  #### Parameters

  - ##### address: string

  #### Returns Node

## Properties

### address

address: string

- Defined in src/network/nodes.ts:194

### Private services

services: Map<string, IConnection> = new Map<string, IConnection>()

- Defined in src/network/nodes.ts:192

## Methods

### getService

- getService(name: string): IConnection

- - Defined in src/network/nodes.ts:202

  Returns a IConnection for a given service. If the connection doesn't exist yet, it will be created.

  #### Parameters

  - ##### name: string

  #### Returns IConnection

### setTimeout

- setTimeout(t: number): void

- - Defined in src/network/nodes.ts:213

  Sets the timeout for all connections of this node.

  #### Parameters

  - ##### t: number

  #### Returns void

Generated using TypeDoc